[Template]
关机=shutdown -f -s -t 0
重启动=shutdown -f -r -t 0
发送消息=:CURRENTUSER \
	REM 设置消息内容和消息标题（不要中括号） \
	set MESSAGETEXT="[消息内容]"\
	set MESSAGETITLE="[消息标题]"\
	REM 设置消息框中的图标，提示：64，警告：48，严重：16 \
	set MESSAGEICON=64\
	mshta vbscript:msgbox(%MESSAGETEXT%,%MESSAGEICON%,%MESSAGETITLE%)(window.close)
停止服务=net stop <服务名称>
启动服务=net start <服务名称>
注册表操作=REG [ADD|DELETE] [HKLM|HKCU\KeyName] /v ValueName /t [REG_DWORD|REG_SZ] /d Data /f
轻量级蓝牙控制=REM 启用为1，不启用为0（默认） \
	set LIGHTBTHMODE=1 \
	REG ADD HKLM\Software\Mawadata\secWall\MWCCSvc /v LightBthMode /t REG_DWORD /d %LIGHTBTHMODE% /f
清除临时文件=:CURRENTUSER \
	"<INSTALLLOCATION>\MWLogon.exe" /CleanupTemp
设置粘贴板穿透长度=REM 修改成需要的穿透长度（不要中括号） \
	set CLIPBOARDHOLESIZE=[256] \
	REG ADD HKLM\System\CurrentControlSet\Services\MWSecWal\Parameters /v ClipboardHoleSize /t REG_DWORD /d %CLIPBOARDHOLESIZE% /f
设置指定应用粘贴板穿透长度=:CURRENTUSER \
	REM 修改成需要的穿透长度（不要中括号） \
	set CLIPBOARDHOLESIZE=[256] \
	REM 修改成需要设置的进程可执行文件名（不要中括号） \
	set EXEFILENAME=[myexefilename.exe] \
	REG ADD "HKCU\Software\Mawadata\secWall\MWShHook\%EXEFILENAME%" /v ClipboardHoleSize /t REG_DWORD /d %CLIPBOARDHOLESIZE% /f
客户端版本号=REM 1显示客户端发行版本，0显示客户端驱动版本 \
	set DISPRELVER=1 \
	REG ADD HKLM\Software\Mawadata\secWall\MWCCSvc /v ReportReleaseVersion /t REG_DWORD /d %DISPRELVER% /f
注销用户登录="<INSTALLLOCATION>\MWLogon.exe" /Logoff
设置自动登录账户=:CURRENTUSER \
	REM 修改需要自动登录的用户名和密码（不要中括号） \
	set SWUSER=[username] \
	set SWPASSWORD=[password] \
	REG DELETE HKCU\Software\Mawadata\secWall\MWLogon /v DefaultUser /f \
	REG DELETE HKCU\Software\Mawadata\secWall\MWLogon /v LogonAccount /f \
	"<INSTALLLOCATION>\MWLogon.exe" /AutoLogon /User:%SWUSER% /Password:%SWPASSWORD%
强制软件升级="<INSTALLLOCATION>\MWLogon.exe" /CheckUpdate
设置卸载密码=REM 修改新的密码的MD5值（不要中括号） \
	set UNINSTALLPASSWORD=[xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx] \
	IF "%UNINSTALLPASSWORD%"=="" ( \
		REG DELETE HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\{8A98E67A-DF80-4669-B089-1E827F51E5ED} /v Password /f \
	) else ( \
		REG ADD HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\{8A98E67A-DF80-4669-B089-1E827F51E5ED} /v Password /t REG_BINARY /d %UNINSTALLPASSWORD% /f \
	)
防火墙开放端口=REM 允许特定端口通过系统防火墙 \
	set RULE_PORT=[139] \
	set RULE_NAME=["防火墙规则名称"] \
	netsh advfirewall firewall add rule name=%RULE_NAME% dir=in action=allow localport=%RULE_PORT%
防火墙开放应用=REM 允许特定应用通过系统防火墙 \
	set RULE_PROGRAM=["C:\Program Files\Mawadata secWall\MWCSMan.exe"] \
	set RULE_NAME=["防火墙规则名称"] \
	netsh advfirewall firewall add rule name=%RULE_NAME% dir=in action=allow program=%RULE_PROGRAM%
Win11传统右键菜单=:CURRENTUSER \
	REM 修改右键菜单样式，1：传统菜单，0：默认（不要中括号） \
	set CLASSICCONTEXTMENU=[1] \
	IF "%CLASSICCONTEXTMENU%"=="1" ( \
		REG ADD HKCU\Software\Classes\CLSID\{86ca1aa0-34aa-4e8b-a509-50c905bae2a2}\InprocServer32 /f /ve \
	) else ( \
		REG DELETE HKCU\Software\Classes\CLSID\{86ca1aa0-34aa-4e8b-a509-50c905bae2a2} \
	)
逐个打包加密=:CURRENTUSER \
	REM 添加右键“逐个打包”菜单 \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\SinglePack /v Command /t REG_SZ /d ^\
		"cmd.exe /C \"for %%i in (%%1) do \"C:\Program Files\Mawadata secWall\MWDocMan.com\" -P \"%%~dpni.mmp\" -i %%i\"" /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\SinglePack /v EnableMultiFiles /t REG_DWORD /d 1 /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\SinglePack /v EnableDirectory /t REG_DWORD /d 1 /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\SinglePack /v Name /t REG_SZ /d "逐个打包" /f 
拖放自动打包=REM 设置拖放自动打包的软件 \
	REM 设置为1自动打包，0关闭 \
	SET AUTOPACK_QQ=1\
	SET AUTOPACK_WEIXIN=1\
	SET AUTOPACK_WXWORK=1\
	SET AUTOPACK_DINGTALK=1\
	SET AUTOPACK_OUTLOOK=0\
	SET AUTOPACK_FOXMAIL=0\
	SET AUTOPACK_FEIQ=0\
	REM 以下不要修改 \
	IF %AUTOPACK_QQ% EQU 0 (\
		SET RS_QQ=\
	) ELSE (\
		Set RS_QQ=^\
			*\QQ.exe^^^|TXGuiFoundation^^^|*^^^|960F0000^^^|00080300\0^\
			*\QQ.exe^^^|Chrome_WidgetWin_*^^^|*^^^|14C70000^^^|00000100\0^\
			*\QQ.exe;*\Foxmail.exe;*\msedgewebview2.exe^^^|Chrome_RenderWidgetHostHWND^^^|Chrome Legacy Window^^^|56300000^^^|00000020\0\
	)\
	IF %AUTOPACK_WEIXIN% EQU 0 (\
		SET RS_WEIXIN=\
	) ELSE (\
		Set RS_WEIXIN=^\
			*\WeChat.exe^^^|WeChatMainWndForPC^^^|微信^^^|160F0000^^^|00060000\0^\
			*\Weixin.exe^^^|Qt51514QWindowIcon^^^|微信^^^|96C70000^^^|00000100\0\
	)\
	IF %AUTOPACK_WXWORK% EQU 0 (\
		SET RS_WXWORK=\
	) ELSE (\
		Set RSTR_WXWORK=^\
			*\WXWork.exe^^^|WeWorkWindow^^^|企业微信^^^|160F0000^^^|00000100\0\
	)\
	IF %AUTOPACK_DINGTALK% EQU 0 (\
		SET RS_DINGTALK=\
	) ELSE (\
		Set RS_DINGTALK=^\
			*\DingTalk.exe^^^|StandardFrame_DingTalk^^^|钉钉^^^|160F0000^^^|00000100\0^\
			*\DingTalk.exe^^^|DingChatWnd^^^|^^^|56000000^^^|00000000\0\
	)\
	IF %AUTOPACK_OUTLOOK% EQU 0 (\
		SET RS_OUTLOOK=\
	) ELSE (\
		Set RS_OUTLOOK=^\
			*\outlook.exe^^^|_WwG^^^|邮件^^^|56000000^^^|00000010\0^\
			*\outlook.exe^^^|rctrl_renwnd32^^^|*^^^|16CF0000^^^|00040100\0^\
			*\olk.exe^^^|Olk Host^^^|*^^^|14CF0000^^^|00040300\0\
	)\
	IF %AUTOPACK_FOXMAIL% EQU 0 (\
		SET RS_FOXMAIL=\
	) ELSE (\
		Set RS_FOXMAIL=^\
			*\Foxmail.exe^^^|TFoxComposeForm.UnicodeClass^^^|*^^^|16CF0000^^^|00010100\0\
	)\
	IF %AUTOPACK_FEIQ% EQU 0 (\
		SET RS_FEIQ=\
	) ELSE (\
		Set RS_FEIQ=^\
			*\FeiQ.exe^^^|RichEdit20W^^^|*^^^|50011944^^^|00000000\0^\
			*\FeiQ.exe^^^|#32770^^^|*^^^|14CF0844^^^|00010110\0\
	)\
	REG ADD HKLM\Software\Mawadata\secWall\MWShHook /v CloudFileRedirect /t REG_DWORD /d 1 /f \
	REG ADD HKLM\Software\Mawadata\secWall\MWShHook /v RedirectedCloudApp /t REG_MULTI_SZ /d ^\
		"%RS_QQ%%RS_WEIXIN%%RS_WXWORK%%RS_DINGTALK%%RS_OUTLOOK%%RS_FOXMAIL%%RS_FEIQ%" /f
解密流程配置=:CURRENTUSER \
	REM 添加右键“申请解密”菜单 \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyDecrypt /v Command /t REG_SZ /d ^\
		"\"%ProgramFiles%\Mawadata secWall\MWDocMan.exe\" -ad -i %%1" /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyDecrypt /v EncryptedOnly /t REG_DWORD /d 1 /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyDecrypt /v Name /t REG_SZ /d "申请解密" /f \
	\
	REM 添加右键“申请外发邮件”菜单 \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyMail /v Command /t REG_SZ /d ^\
		"\"%ProgramFiles%\Mawadata secWall\MWDocMan.exe\" -am -i %%1" /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyMail /v EncryptedOnly /t REG_DWORD /d 1 /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyMail /v Name /t REG_SZ /d "申请外发邮件" /f \
	\
	REM 添加右键“发送白名单邮件”菜单 \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\SafeMail /v Command /t REG_SZ /d ^\
		"\"%ProgramFiles%\Mawadata secWall\MWDocMan.exe\" -sm -i %%1" /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\SafeMail /v EncryptedOnly /t REG_DWORD /d 1 /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\SafeMail /v Name /t REG_SZ /d "发送白名单邮件" /f
解密流程配置(旧)=:CURRENTUSER \
	REM 替换成实际设置（不要中括号） \
	set SMBSHAREDPATH=[\\server\share\folder] \
	set SMBUSER=[username] \
	set SMBPASSWORD=[password] \
	set TRANSACTIONURL=[http://192.168.1.1] \
	\
	REM 添加服务器设置(中括号中是需要替换的部分) \
	REG ADD HKCU\Software\Mawadata\secWall\Transaction /v PrivateSharedPath /t REG_SZ /d "%SMBSHAREDPATH%" /f \
	REG ADD HKCU\Software\Mawadata\secWall\Transaction /v HostURL /t REG_SZ /d "%TRANSACTIONURL%" /f \
	\
	REM 映射服务器共享文件夹(中括号中是需要替换的部分) \
	net use "%SMBSHAREDPATH%" %SMBPASSWORD% /user:%SMBUSER% \
	\
	REM 添加右键“申请解密”菜单 \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyDecrypt /v Command /t REG_SZ /d ^\
		"WScript \"%ProgramFiles%\Mawadata secWall\MWApply.vbs\" \"\"%%1\"\"" /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyDecrypt /v EncryptedOnly /t REG_DWORD /d 1 /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyDecrypt /v Name /t REG_SZ /d "申请解密" /f \
	\
	REM 添加右键“发送邮件”菜单 \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyMail /v Command /t REG_SZ /d ^\
		"WScript \"%ProgramFiles%\Mawadata secWall\MWApply.vbs\" \"-reason=safemail\" \"\"%%1\"\"" /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyMail /v EncryptedOnly /t REG_DWORD /d 1 /f \
	REG ADD HKCU\Software\Mawadata\secWall\MWShExt\UserMenu\ApplyMail /v Name /t REG_SZ /d "发送邮件" /f

[PresetPath]
Desktop=<DESKTOPDIRECTORY>
My Documents=<MYDOCUMENTS>
My Pictures=<MYPICTURES>
Favorites=<FAVORITES>
Templates=<TEMPLATES>
Nethood=<NETHOOD>
Printhood=<PRINTHOOD>
Recent=<RECENT>
Send to=<SENDTO>
Startup Menu=<STARTMENU>
Program Group=<PROGRAMS>
Startup Group=<STARTUP>
Common Startup Menu=<COMMONSTARTMENU>
Common Program Groups<COMMONPROGRAMS>
Common Startup Group=<COMMONSTARTUP>
Common Desktop=<COMMONDESKTOPDIRECTORY>
Application Data=<APPDATA>
Local Application Data=<LOCALAPPDATA>
Local AppData Low Integrity=<LOCALAPPDATALOW>
Internet Cache=<INTERNETCACHE>
Cookies=<COOKIES>
History=<HISTORY>
Common Application Data=<COMMONAPPDATA>
Windows=<WINDOWS>
System=<SYSTEM>
Program Files=<PROGRAMFILES>
Profile=<PROFILE>
System (x86)=<SYSTEMX86>
Program Files (x86)=<PROGRAMFILESX86>
Program Files Common=<PROGRAMFILESCOMMON>
Program Files Common (x86)=<PROGRAMFILESCOMMONX86>
Common Documents=<COMMONDOCUMENTS>
Common Templates=<COMMONTEMPLATES>
Temporary Folder=<TEMP>
